<?php
	$servername = "localhost";
	$username = "root";
	$password = "";
	@$dbname = 'pathology_extracted';
	$conn = mysqli_connect($servername, $username, $password);
	if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	$sql1 = "CREATE DATABASE IF NOT EXISTS pathology_extracted;";
	if (mysqli_query($conn, $sql1)){
		$conn = mysqli_connect($servername, $username, $password, $dbname);
	}else{
		echo 'Error creating database: ' . mysqli_error() . "\n";
	}
	$num_specimen = count($_POST["specimen"]);
	$prn = $_POST["P_RN"];
	$reportNo = $_POST["R_ID"];
	$date= $_POST["Exam_Date"];

	//echo $num_specimen;
	
	if($prn==NULL){$prn="NA";}
	if($reportNo==NULL){$reportNo="NA";}
	if($date==NULL){$date="NA";}
	for($i=0; $i<$num_specimen; $i++){
		$alphabet=array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T");
		$specimen_num=$alphabet[$i];
		//Interpretation - Type of procedure ($procedureT[$i])
		if($_POST["procedure"][$i]=="no"){$procedureT[$i]="NA";
		}else{
			if(isset($_POST["procedureT"][$i])&&($_POST["procedureT2"][$i]!="")){$procedureT[$i]=$_POST["procedureT"][$i].", ". $_POST["procedureT2"][$i];
			}else if(isset($_POST["procedureT"][$i])){$procedureT[$i]=$_POST["procedureT"][$i];
			}else if($_POST["procedureT2"][$i]!=""){$procedureT[$i]=$_POST["procedureT2"][$i];
			}else{$procedureT[$i]="NA";}
			$procedureT[$i]=str_replace("NA, ","",$procedureT[$i]);
		}
		//Interpretation - Laterality ($lateralityS[$i])
		if($_POST["lateral"][$i]=="no"){$lateralityS[$i]="NA";
		}else{
			if(isset($_POST["lateralityS"][$i])){$lateralityS[$i]=$_POST["lateralityS"][$i];
			}else{$lateralityS[$i]="NA";}
		}
		//Interpretation - Histologic type ($histoT[$i])
		if($_POST["histType"][$i]=="no"){$histoT[$i]="NA";
		}else{
			$histoManual="";
			$histoT[$i]="";
			$histoName='histoT'.$i; 
			$histoManual1=$_POST["histoT02_5"][$i].$_POST["histoT02"][$i];
			$histoManual2=$_POST["histoT03_5"][$i].$_POST["histoT03"][$i];
			if(strlen($histoManual1)==19&&strlen($histoManual2)==20){$histoManual=""; 
			}else if(strlen($histoManual1)==19&&strlen($histoManual2)>20){$histoManual=$histoManual2;
			}else if(strlen($histoManual1)>19&&strlen($histoManual2)==20){$histoManual=$histoManual1;
			}else if(strlen($histoManual1)>19&&strlen($histoManual2)>20){$histoManual=$histoManual1." | ".$histoManual2;
			}
			$start=0;
			if(isset($_POST[$histoName])&&($histoManual!="")){
				foreach($_POST[$histoName] as $histo){
					if($start==0){$histoT[$i]=$histo;
					}else{$histoT[$i]=$histoT[$i]." | ".$histo;}$start++;
				}
				if($histoManual!=""){$histoT[$i]=$histoT[$i]." | ".$histoManual;}					
			}else if($histoManual!=""){
				if($start==0){
					if($histoManual!=""){$histoT[$i]=$histoManual;}
				}else{
					if($histoManual!=""){$histoT[$i]=$histoT[$i]." | ".$histoManual;}
				}$start++;
			}
			if($histoT[$i]==""){$histoT[$i]="NA";}
				
		}
		//Interpretation - Histologic grade ($histoG[$i])
		if($_POST["histGrade"][$i]=="no"){$histoG[$i]="NA";
		}else{
			if(isset($_POST["histoG"][$i])&&($_POST["histoG2"][$i]!="")){$histoG[$i]=$_POST["histoG"][$i].", ".$_POST["histoG2"][$i];
			}else if(isset($_POST["histoG"][$i])){$histoG[$i]=$_POST["histoG"][$i];
			}else if($_POST["histoG2"][$i]!=""){$histoG[$i]=$_POST["histoG2"][$i];
			}else{$histoG[$i]="NA";}
		}
		//Macroscopy - Tumors ($tumortype[$i], $tumorsize[$i])
		$countName = "tumor_count".$i; $num_tumor = count($_POST[$countName]);
		$tumorName = "tumortype".$i; $sizeName = "tumorsize".$i;
		$tumortype[$i]="";$tumorsize[$i]="";
		if($_POST["tumormacro"][$i]=="no"){$tumortype[$i]="NA"; $tumorsize[$i]="NA";
		}else{
			for($j=0; $j<$num_tumor; $j++){
				//tumor type
				$tumortype_temp=NULL; $typetumortemp=""; $tumorsizetemp="";
				if($_POST[$tumorName][$j]==""){$tumortype_temp="NA";
				}else{$tumortype_temp=$_POST[$tumorName][$j];}
				if($j==0){$tumortype[$i]=$tumortype_temp;}
				else{$tumortype[$i]=$tumortype[$i]." | ".$tumortype_temp;}
				$typetumortemp=$_POST[$tumorName][$j];
				//tumor size
				$tumorsize_temp=NULL;
				if($_POST[$sizeName][$j]==""){$tumorsize_temp="NA";
				}else{$tumorsize_temp=$_POST[$sizeName][$j];}
				if($j==0){$tumorsize[$i]=$tumorsize_temp;}
				else{$tumorsize[$i]=$tumorsize[$i]." | ".$tumorsize_temp;}
				$tumorsizetemp=$_POST[$sizeName][$j];
				$sql = "INSERT INTO tumor_macro(report_no,specimen,patient_rn,TumornRefer,TumorSize)
					VALUES('$reportNo','$specimen_num','$prn','$typetumortemp','$tumorsizetemp');";
				$result = mysqli_query($conn, $sql);
			}
		}
		//Macroscopy - Margins ($margintype[$i], $marginsize[$i])
		$margincountName = "margin_count".$i; $num_margin = count($_POST[$margincountName]);
		$margintype[$i]="";	$marginsize[$i]="";	
		if($_POST["marginmacro"][$i]=="no"){$margintype[$i]="NA"; $marginsize[$i]="NA";
		}else{
			for($j=0; $j<$num_margin; $j++){
				$s=0; $typemargintemp="";$marginanterior=""; $margindeep=""; $marginsuperior=""; $margininferior=""; $marginmedial=""; $marginlateral=""; $marginposterior=""; $marginsuperficial="";	$marginperipheral=""; $marginaxis=""; $marginother="";
				//margin type
				$margintype_name="margintype".$i;
				$margintype_temp=NULL;
				if($_POST[$margintype_name][$j]==""){$margintype_temp="NA";
				}else{$margintype_temp=$_POST[$margintype_name][$j];}
				if($j==0){$margintype[$i]=$margintype_temp;
				}else{$margintype[$i]=$margintype[$i]." | ".$margintype_temp;}
				$typemargintemp=$_POST[$margintype_name][$j];
				//margin size
				$marginsize_temp[$j]=NULL;
				$margin_name="marginanterior".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginanterior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="anterior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | anterior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="margindeep".$i;
				if($_POST[$margin_name][$j]!=""){
					$margindeep=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="deep margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | deep margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginsuperior".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginsuperior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="superior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | superior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="margininferior".$i;
				if($_POST[$margin_name][$j]!=""){
					$margininferior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="inferior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | inferior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginmedial".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginmedial=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="medial margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | medial margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginlateral".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginlateral=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="lateral margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | lateral margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginposterior".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginposterior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="posterior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | posterior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginsuperficial".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginsuperficial=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="superficial margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | superficial margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginperipheral".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginperipheral=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="peripheral margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | peripheral margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginaxis".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginaxis=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="axis margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | axis margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginother".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginother=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="other margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | other margin = ".$_POST[$margin_name][$j];}
				}
				if($marginsize_temp[$j]!=""){
					if($num_margin>1){	if($j==0){$marginsize_temp[$j]=$marginsize_temp[$j];}
										else{$marginsize_temp[$j]="separate ".$marginsize_temp[$j];}
					}		
					$marginsize[$i]=$marginsize[$i]." ".$marginsize_temp[$j];
				}else{
					$marginsize_temp[$j]="NA";
					if($num_margin>1){$marginsize_temp[$j]=($j+1).". ".$marginsize_temp[$j];}
					$marginsize[$i]=$marginsize[$i]." ".$marginsize_temp[$j];
				}
				
				$sql ="INSERT INTO margin_macro(report_no,specimen,patient_rn,marginRefer,superior,inferior,lateral,medial,anterior,superficial,deep,peripheral,posterior,axis,other)
						VALUES('$reportNo','$specimen_num','$prn','$typemargintemp','$marginanterior', '$margindeep', '$marginsuperior', '$margininferior', '$marginmedial', '$marginlateral', '$marginposterior', '$marginsuperficial', '$marginperipheral', '$marginaxis', '$marginother');";
				$result = mysqli_query($conn, $sql);
			}
		}
		//Macroscopy - Skin involmennt ($skinmacro[$i])
		if($_POST["skinmacro"][$i]=="no"){$skinmacro[$i]="absent";
		}else if($_POST["skinmacro"][$i]=="yes"){$skinmacro[$i]="present";}
		//Microscopy - DCIS Nuclear Grade ($nuclearG[$i])
		if($_POST["nucleargrade"][$i]=="no"){$nuclearG[$i]="NA";
		}else{
			if(isset($_POST["nuclearG"][$i])&&($_POST["nuclearG2"][$i]!="")){$nuclearG[$i]=$_POST["nuclearG"][$i]." | ".$_POST["nuclearG2"][$i];
			}else if(isset($_POST["nuclearG"][$i])){$nuclearG[$i]=$_POST["nuclearG"][$i];
			}else if($_POST["nuclearG2"][$i]!=""){$nuclearG[$i]=$_POST["nuclearG2"][$i];
			}else{$nuclearG[$i]="NA";}
		}
		//Microscopy - DCIS Pattern ($dcisP[$i])
		if($_POST["dcispattern"][$i]=="no"){$dcisP[$i]="NA";
		}else{
			$dcisP[$i]=""; $dcisPName='dcisP'.$i;	$dcisPName2='dcisP'.$i.'2';
			$start=0;
			if(isset($_POST[$dcisPName])&&($_POST[$dcisPName2]!="")){
				foreach($_POST[$dcisPName] as $dcis){
					if($start==0){$dcisP[$i]=$dcis;
					}else{$dcisP[$i]=$dcisP[$i]." | ".$dcis;} $start++;
				}
				foreach($_POST[$dcisPName2] as $dcis){
					if($dcis!=""){$dcisP[$i]=$dcisP[$i]." | ".$dcis;}
				}
			}else if($_POST[$dcisPName2]!=""){
				foreach($_POST[$dcisPName2] as $dcis){
					if($start==0){
						if($dcis!=""){$dcisP[$i]=$dcis;}
					}else{
						if($dcis!=""){$dcisP[$i]=$dcisP[$i].", ".$dcis;}
					}$start++;
				}
			}
			if($dcisP[$i]==""){$dcisP[$i]="NA";}
		}
		//Microscopy - Lymphovascular invasion ($lymphoInv[$i])
		if($_POST["lymphoInv"][$i]=="no"){$lymphoInv[$i]="absent";
		}else if($_POST["lymphoInv"][$i]=="yes"){$lymphoInv[$i]="present";}
		//Microscopy - Paget's disease ($PagetDis[$i])
		if($_POST["PagetDis"][$i]=="no"){$PagetDis[$i]="absent";
		}else if($_POST["PagetDis"][$i]=="yes"){$PagetDis[$i]="present";}
		//Microscopy - Skin involment ($skinmicro[$i])
		if($_POST["skinmicro"][$i]=="no"){$skinmicro[$i]="absent";
		}else if($_POST["skinmicro"][$i]=="yes"){$skinmicro[$i]="present";}
		//Microscopy - Regional Lymph Node ($lymphTotal[$i], $lymphMalignat[$i])
		if($_POST["lymphnode"][$i]=="no"){$lymphTotal[$i]="NA"; $lymphMalignat[$i]="NA";
		}else{
			if($_POST["lymphTotal"]!=""){$lymphTotal[$i]=$_POST["lymphTotal"][$i];}
			if($_POST["lymphMalignat"]!=""){$lymphMalignat[$i]=$_POST["lymphMalignat"][$i];}
			if($lymphTotal[$i]==""){$lymphTotal[$i]="NA";}
			if($lymphMalignat[$i]==""){$lymphMalignat[$i]="NA";}
		}
		//Microscopy - Tumors ($tumortypeMicro[$i], $tumorsizeMicro[$i])
		$countName2 = "tumor_countMicro".$i; $num_tumorMicro = count($_POST[$countName2]);
		$tumorName = "tumortypeMicro".$i; $sizeName = "tumorsizeMicro".$i;
		$tumortypeMicro[$i]="";	$tumorsizeMicro[$i]="";
		if($_POST["tumormicro"][$i]=="no"){$tumortypeMicro[$i]="NA"; $tumorsizeMicro[$i]="NA";
		}else{
			for($j=0; $j<$num_tumorMicro; $j++){
				//tumor type
				$tumortype_temp=NULL; $typetumortemp=""; $tumorsizetemp="";
				if($_POST[$tumorName][$j]==""){$tumortype_temp="NA";
				}else{$tumortype_temp=$_POST[$tumorName][$j];}
				if($j==0){$tumortypeMicro[$i]=$tumortype_temp;}
				else{$tumortypeMicro[$i]=$tumortypeMicro[$i]." | ".$tumortype_temp;}
				$typetumortemp=$_POST[$tumorName][$j]; 
				//tumor size
				$tumorsize_temp=NULL;
				if($_POST[$sizeName][$j]==""){$tumorsize_temp="NA";
				}else{$tumorsize_temp=$_POST[$sizeName][$j];}
				if($j==0){$tumorsizeMicro[$i]=$tumorsize_temp;}
				else{$tumorsizeMicro[$i]=$tumorsizeMicro[$i]." | ".$tumorsize_temp;}
				$tumorsizetemp=$_POST[$sizeName][$j];
				$sql = "INSERT INTO tumor_micro(report_no,specimen,patient_rn,TumornRefer,TumorSize)
				VALUES('$reportNo','$specimen_num','$prn','$typetumortemp','$tumorsizetemp');";
				$result = mysqli_query($conn, $sql);
			}
		}
		//Microscopy - Margins ($margintypeMicro[$i], $marginsizeMicro[$i])
		$margincountName2 = "margin_countMicro".$i;	$num_marginMicro = count($_POST[$margincountName2]);
		$margintypeMicro[$i]="";	$marginsizeMicro[$i]=""; 
		if($_POST["marginmicro"][$i]=="no"){$margintypeMicro[$i]="NA"; $marginsizeMicro[$i]="NA";
		}else{
			for($j=0; $j<$num_marginMicro; $j++){
				$s=0;  $typemargintemp=""; $marginanterior="";	$margindeep="";	$marginsuperior="";	$margininferior="";	$marginmedial=""; $marginlateral=""; $marginposterior=""; $marginsuperficial="";	$marginperipheral=""; $marginaxis=""; $marginother="";
				//margin type
				$margintype_name="margintypeMicro".$i;
				$margintype_temp=NULL;
				if($_POST[$margintype_name][$j]==""){$margintype_temp="NA";
				}else{$margintype_temp=$_POST[$margintype_name][$j];}
				if($j==0){$margintypeMicro[$i]=$margintype_temp;
				}else{$margintypeMicro[$i]=$margintypeMicro[$i]." | ".$margintype_temp;}
				$typemargintemp=$_POST[$margintype_name][$j];
				//margin size
				$marginsize_temp[$j]=NULL;
				$margin_name="marginanteriorMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginanterior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="anterior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | anterior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="margindeepMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$margindeep=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="deep margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | deep margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginsuperiorMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginsuperior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="superior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | superior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="margininferiorMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$margininferior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="inferior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | inferior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginmedialMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginmedial=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="medial margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | medial margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginlateralMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginlateral=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="lateral margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | lateral margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginposteriorMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginposterior=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="posterior margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | posterior margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginsuperficialMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginsuperficial=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="superficial margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | superficial margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginperipheralMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginperipheral=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="peripheral margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | peripheral margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginaxisMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginaxis=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="axis margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | axis margin = ".$_POST[$margin_name][$j];}
				}
				$margin_name="marginotherMicro".$i;
				if($_POST[$margin_name][$j]!=""){
					$marginother=$_POST[$margin_name][$j];
					if($s==0){$marginsize_temp[$j]="other margin = ".$_POST[$margin_name][$j];$s++;}
					else{$marginsize_temp[$j]=$marginsize_temp[$j]." | other margin = ".$_POST[$margin_name][$j];}
				}
				if($marginsize_temp[$j]!=""){
					if($num_marginMicro>1){	if($j==0){$marginsize_temp[$j]=$marginsize_temp[$j];}
										else{$marginsize_temp[$j]="separate ".$marginsize_temp[$j];}
					}	
					$marginsizeMicro[$i]=$marginsizeMicro[$i]." ".$marginsize_temp[$j];
				}else{
					$marginsize_temp[$j]="NA";
					if($num_marginMicro>1){$marginsize_temp[$j]=($j+1).". ".$marginsize_temp[$j];}
					$marginsizeMicro[$i]=$marginsizeMicro[$i]." ".$marginsize_temp[$j];
				}
				$sql ="INSERT INTO margin_micro(report_no,specimen,patient_rn,marginRefer,superior,inferior,lateral,medial,anterior,superficial,deep,peripheral,posterior,axis,other)
						VALUES('$reportNo','$specimen_num','$prn','$typemargintemp','$marginanterior', '$margindeep', '$marginsuperior', '$margininferior', '$marginmedial', '$marginlateral', '$marginposterior', '$marginsuperficial', '$marginperipheral', '$marginaxis', '$marginother');";
				$result = mysqli_query($conn, $sql);
			}
		}
		//Microscopy - Immunohistochemistry ($er[$i], $pr[$i], $her[$i])
		if($_POST["immuno"][$i]=="no"){$er[$i]="NA"; $pr[$i]="NA"; $her[$i]="NA";
		}else{
			if(isset($_POST["er"][$i])&&($_POST["er2"][$i]!="")){$er[$i]=$_POST["er"][$i]." | ".$_POST["er2"][$i];
			}else if(isset($_POST["er"][$i])){$er[$i]=$_POST["er"][$i];}
			if(isset($_POST["pr"][$i])&&($_POST["pr2"][$i]!="")){$pr[$i]=$_POST["pr"][$i]." | ".$_POST["pr2"][$i];
			}else if(isset($_POST["pr"][$i])){$pr[$i]=$_POST["pr"][$i];}
			if(isset($_POST["her"][$i])&&($_POST["her2"][$i]!="")){$her[$i]=$_POST["her"][$i]." | ".$_POST["her2"][$i];
			}else if(isset($_POST["her"][$i])){$her[$i]=$_POST["her"][$i];}
		}
		
		echo "Specimen ".($i+1)."\n";
		echo "Type of procedure: ".$procedureT[$i]."\n";
		echo "Laterality: ".$lateralityS[$i]."\n";
		echo "Histologic type: ".$histoT[$i]."\n";
		echo "Histologic grade: ".$histoG[$i]."\n";
		echo "Tumors Type (Macroscopy): ".$tumortype[$i]."\n";
		echo "Tumors Size (Macroscopy): ".$tumorsize[$i]."\n";
		echo "Margins Type (Macroscopy): ".$margintype[$i]."\n";
		echo "Margins Size (Macroscopy): ".$marginsize[$i]."\n";
		echo "Skin involmennt (Macroscopy): ".$skinmacro[$i]."\n";
		echo "DCIS Nuclear Grade: ".$nuclearG[$i]."\n";  
		echo "DCIS Pattern: ".$dcisP[$i]."\n";
		echo "Lymphovascular invasion: ".$lymphoInv[$i]."\n";
		echo "Paget\'s disease: ".$PagetDis[$i]."\n";
		echo "Skin involment: ".$skinmicro[$i]."\n";
		echo "Regional Lymph Node (Total lymph node examined): ".$lymphTotal[$i]."\n";
		echo "Regional Lymph Node (Malignant lymph node examined): ".$lymphMalignat[$i]."\n";
		echo "Tumors Type (Microscopy): ".$tumortypeMicro[$i]."\n";
		echo "Tumors Size (Microscopy): ".$tumorsizeMicro[$i]."\n";
		echo "Margins Type (Microscopy): ".$margintypeMicro[$i]."\n"; 
		echo "Margins Size (Microscopy): ".$marginsizeMicro[$i]."\n";
		echo "Immunohistochemistry ER: ".$er[$i]."\n";
		echo "Immunohistochemistry PR: ".$pr[$i]."\n";
		echo "Immunohistochemistry HER2: ".$her[$i]."\n";
		
		$sql ="INSERT INTO interpretation_result(report_no,specimen,patient_rn,procedureType,laterality,histo_type,histo_grade)
						VALUES('$reportNo','$specimen_num','$prn','$procedureT[$i]','$lateralityS[$i]','$histoT[$i]','$histoG[$i]');";
		$result = mysqli_query($conn, $sql);
		$sql ="INSERT INTO macroscopy_result(report_no, specimen, patient_rn, marginRefer_macro, marginSize_macro, tumorType_macro, tumorSize_macro, skinMacro)
						VALUES('$reportNo','$specimen_num','$prn','$margintype[$i]','$marginsize[$i]','$tumortype[$i]','$tumorsize[$i]','$skinmacro[$i]');";
		$result = mysqli_query($conn, $sql);
		$sql ="INSERT INTO microscopy_result(report_no, specimen, patient_rn, dcisGrade, dcisLook, lymphInvasion, pagetD, skinMicro, lymphInvolve, lymphMalignant, tumorTypeMicro, tumorSizeMicro, marginReferMicro, marginSizeMicro, erResult, prResult, her2Result)
						VALUES('$reportNo','$specimen_num','$prn','$nuclearG[$i]','$dcisP[$i]','$lymphoInv[$i]','$PagetDis[$i]','$skinmicro[$i]','$lymphTotal[$i]','$lymphMalignat[$i]','$tumortypeMicro[$i]','$tumorsizeMicro[$i]','$margintypeMicro[$i]','$marginsizeMicro[$i]','$er[$i]','$pr[$i]','$her[$i]');";
		$result = mysqli_query($conn, $sql);
	}
	$sql = "INSERT INTO report_info(patient_rn,report_no,num_spec,date)VALUES('$prn','$reportNo','$num_specimen','$date');";
	$result = mysqli_query($conn, $sql);
	//$report = $_GET["varname"];
	//$sql = "INSERT INTO report_info(patient_rn,report_no,date)
	//VALUES('$prn','$reportNo','$date');";
	//$result = mysqli_query($conn, $sql);
	
	
	
	
?>

