
<!DOCTYPE html>
<html>
	<head>
		<link href="style.css" rel="stylesheet" type="text/css"/>
		<title>BIRADS Standard Reporting</title>
		
		<script>
			function yes(id) {
				var x = document.getElementById(id);
				x.style.display = "block";
			}
			function no(id) {
				var x = document.getElementById(id);
				x.style.display = "none";
			}
 
		}
		</script>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		<style>
			div#left{float:left; width:100%; height:30px;}
			div#right{float:right; width:40%; height:30px;}
			select{width: 100px; font-family: "Times New Roman"; font-size: 14px;}
			div.header{font-size: 20px;}
			div.description{font-size: 18px;}
			div.subheading{font-size: 18px; line-height: 1.5em}
			#cb_span{color:white;}
			table{padding: 0px; margin: 0px; font-size: 10pt; border-collapse: collapse; width: 50%;}
			td, th{border: 1px solid #b1b1b1; text-align: left;	padding: 8px; margin: 0;}
			th{background-color: #dddddd;}
			#top{float:left;width :80%}
			#top2{margin-bottom: 30px; margin-top: 40px; float:right; width:20%; font-size: 10pt; color: "red";}
			body{font-family: "Times New Roman";}
			/* Fixed sidenav, full height */
			.sidenav{height: 100%; width: 220px; position: fixed; z-index: 1; top: 0; left: 0; background-color: #111; overflow-x: hidden; padding-top: 20px;}
			/* Style the sidenav links and the dropdown button */
			.sidenav a, .dropdown-btn{padding: 6px 8px 6px 16px; text-decoration: none; font-size: 20px; color: #818181; display: block; border: none; background: none; width: 100%; text-align: left; cursor: pointer; outline: none; font-family: "Times New Roman";}
			.sidenav c, .dropdown-btn{padding: 6px 8px 6px 16px; text-decoration: none; font-size: 20px; color: #f2f2f2; display: block; border: none; background: none; width: 100%; text-align: left; outline: none; font-family: "Times New Roman";}
			.sidenav d, .dropdown-btn{padding: 2px 8px 6px 16px; text-decoration: none; font-size: 16px; color: #f2f2f2; display: block; border: none; background: none; width: 100%; text-align: left; outline: none; font-family: "Times New Roman";}
			/* On mouse-over */
			.sidenav a:hover, .dropdown-btn:hover{color: #f1f1f1;}
			/* Main content */
			.main {margin-left: 220px; /* Same as the width of the sidenav */ font-size: 20px; /* Increased text to enable scrolling */ padding: 0px 10px;}
			/* Add an active class to the active dropdown button */
			.active{background-color: green; color: white;}
			/* Dropdown container (hidden by default). Optional: add a lighter background color and some left padding to change the design of the dropdown content */
			.dropdown-container{display: none; background-color: #262626; padding-left: 8px;}
			/* Optional: Style the caret down icon */
			.fa-caret-down float: right; padding-right: 8px;}
			/* Some media queries for responsiveness */
			@media screen and (max-height: 450px){.sidenav {padding-top: 15px;} .sidenav a {font-size: 18px;}}
		</style>
	</head>
	
	<div class="sidenav">
		<a href="PathologyReporting_ViewDatabase.php">View Reports</a>
		<a href="PathologyReporting.php">Pathology Reporting</a><br>
		<br>
		<button class="dropdown-btn" >Filter: 
			<i class="fa fa-caret-down"></i>
		</button>
		<div class="dropdown-container">
			<form method="POST" action="BIRADS_view_all_filter.php">
			<c>Filter by: <br>Breast Composition</c>
			<li><input type="checkbox" name="BIRADS[]" value="'a'" multiple="multiple"/><span id="cb_span">A </li>
			<li><input type="checkbox" name="BIRADS[]" value="'b'" multiple="multiple"/><span id="cb_span">B </li>
			<li><input type="checkbox" name="BIRADS[]" value="'c'" multiple="multiple"/><span id="cb_span">C </li>
			<li><input type="checkbox" name="BIRADS[]" value="'d'" multiple="multiple"/><span id="cb_span">D </li>
			<li><input type="checkbox" name="BIRADS[]" value="'Not fill'" multiple="multiple"/><span id="cb_span">Not fill </li>
			<br>
			<c>Indication</c>
			<li><input type="checkbox" name="ind[]" value="'screening'" multiple="multiple"/><span id="cb_span">Screening </li>
			<li><input type="checkbox" name="ind[]" value="'diagnostic'" multiple="multiple"/><span id="cb_span">Diagnostic </li>
			<li><input type="checkbox" name="ind[]" value="'followup'" multiple="multiple"/><span id="cb_span">Follow up </li>
			<li><input type="checkbox" name="ind[]" value="'Not fill'" multiple="multiple"/><span id="cb_span">Not fill </li>
			<br>
			<c>Type</c>
			<d>Mammogram</d>
			<li><input type="checkbox" name="type[]" value="'mass'" /><span id="cb_span">Mass </li>
			<li><input type="checkbox" name="type[]" value="'asm'" /><span id="cb_span">Asymmetry </li>
			<li><input type="checkbox" name="type[]" value="'ad'" /><span id="cb_span">Architectural distortion </li>
			<li><input type="checkbox" name="type[]" value="'bc'" /><span id="cb_span">Benign calcification </li>
			<li><input type="checkbox" name="type[]" value="'sc'" /><span id="cb_span">Suspicious calcification </li>
			<li><input type="checkbox" name="type[]" value="'af'" /><span id="cb_span">Associated features </li>		
			<br>
			<d>Ultrasound</d>
			<li><input type="checkbox" name="type2[]" value="'umass'" /><span id="cb_span">Mass </li>
			<li><input type="checkbox" name="type2[]" value="'ucalcification'" /><span id="cb_span">Calcifications </li>
			<li><input type="checkbox" name="type2[]" value="'uaf'" /><span id="cb_span">Associated features </li>		
			<li><input type="checkbox" name="type2[]" value="'ualn'" /><span id="cb_span">Axillary lymph node </li>
			<br>
			<c>Sort by</c>
			<li><input type="radio" name="sort" value="reportID" checked /><span id="cb_span">Report No </li>
			<li><input type="radio" name="sort" value="pname" /><span id="cb_span">RN </li>
			<li><input type="radio" name="sort" value="breastcomposition" /><span id="cb_span">Breast composition </li>
			<br>
			<input type="submit" value="Go" align="left" style="width:60px; font-size:15px; " />
			<br><br><br>
			</form>
		</div>
	</div>
	
	<div class="main">
		<div id="top"> <h2>Breast Imaging Reporting and Data System (BIRADS)</h2> </div>
		<div id="top2"> <button type="button" onclick=deleteDb()>Delete Database</button> </div>
		<div id="left">
		<?php
			$servername = "localhost";
			$username = "root";
			$password = "";
			@$dbname = 'pathology_extracted';
			
			@$conn = mysqli_connect($servername, $username, $password, $dbname);
			if (!$conn) {
				die("Connection failed: No database exists. Please try to insert new record. ");
			}
		
			$result = mysqli_query($conn,"SELECT * FROM report_info");
			echo "<table border='0'>
			<tr>
			<th>No.</th>
			<th>Patient RN</th>
			<th>Report ID</th>
			<th>Examination Date</th>
			<th></th>
			</tr>";
			
			while($row = mysqli_fetch_array($result))
			{	
				$id=$row["report_no"];
				echo "<td>" . $row["No"] . "</td>";
				echo "<td>" . $row["patient_rn"] . "</td>";
				echo "<td><a href='PathologyReporting_Edit.php?report=$id'>" . $row["report_no"] . "</td>";
				echo "<td>" . $row["date"] . "</td>";
				echo "<td><button type='button' onclick=deleteRow($id)>X </button> </td>";
				echo "</tr>";  
			 
			}
						
			echo "</table>";
			
			mysqli_close($conn);
 		?>
		</div>
		<div id="right"></div>
	</div>
	
	
	<script>
	function deleteDb(){
		if (confirm("Delete this database?")) { 
			window.location.href = "BIRADS_drop.php? ";
		}else { 
		window.location.href = "BIRADS_view_all.php";
		}
	}
	function deleteRow(id){
		rid=id;
		if (confirm("Delete this record?")) { 
			var remove="BIRADS_remove.php?varname=";
			var remove2=id;
			remove=remove.concat(remove2);
			window.location.href = remove;
		}else { 
			window.location.href = "BIRADS_view_all.php";
		}
	}
	var dropdown = document.getElementsByClassName("dropdown-btn");
	var i;
	for (i = 0; i < dropdown.length; i++) {
		dropdown[i].addEventListener("click", function() {
		this.classList.toggle("active");
		var dropdownContent = this.nextElementSibling;
		if (dropdownContent.style.display === "block") {
		dropdownContent.style.display = "none";
		} else {
		dropdownContent.style.display = "block";
		}
		});
	}
	
	</script>